[Solved] Building 9.2.0 fails at binutils

  • Building LE 9.2.0 for Raspberry Pi 4 on Arch Linux x86_64 the build fails for binutils with the following error (see this pastebin link for full log).


    I've built the current RPi4 master, v9.1.501 and v9.1.502 on this machine without any issues and the images work just fine.

    I used 'git checkout 9.2.0'.

    I tried a 'make distclean' but the issue remains.


    Assuming it's me that's doing something wrong (I'm definitely not an expert here), any ideas where I'm going wrong and how to fix it?


    Cheers,

    Simon


  • Try

    Code
    1. PROJECT=RPi DEVICE=RPi4 ARCH=arm ./scripts/build zlib
    2. PROJECT=RPi DEVICE=RPi4 ARCH=arm .make


    Support my work with small (or big) Paypal donation


    Amlogic devices works better with CoreELEC

    Blu-ray Disc Java menus support - forum thread, Github

    my lamp addon (unofficial/community with limited support)
    my touchscreen support and instructions by Grruhn (now touchscreen addon exists in repository)


  • Ah vpeter, many thanks!


    zlib wasn't built before it was required?


    I might be speaking too soon but binutils has now installed and the build is progressing... thanks again,


    Simon

  • Yes, seems zlib dependency is missing. Let us know if build will finish successfully to fix this issue.


    Support my work with small (or big) Paypal donation


    Amlogic devices works better with CoreELEC

    Blu-ray Disc Java menus support - forum thread, Github

    my lamp addon (unofficial/community with limited support)
    my touchscreen support and instructions by Grruhn (now touchscreen addon exists in repository)


  • The build has just finished successfully with no further issues, many thanks vpeter.


    Cheers,

    Simon